#ifndef _ARENA_FORM_H_
#define _ARENA_FORM_H_

#ifndef _ARENA_WWW_H_
#include "www.h"
#endif /* _ARENA_WWW_H_ */

extern void PaintFieldCursorBuffer(GC, unsigned long, EditorBuffer *, Field *);
extern int FieldCount(Form *);
extern void FreeForms(void);
extern Form *DefaultForm(void);

#ifdef I18N
extern Form *FindForm(Form *, wchar_t *);
extern Field *FindField(Form *, int , wchar_t *, int);
extern Form *GetForm(int, wchar_t *, int);
extern Field *GetField(Form *, int, int , wchar_t *, int ,
		wchar_t *, int , int , int , int);
extern void AddOption(Field *, int, wchar_t *, int);
extern void SubmitForm(Form *, int, wchar_t *, int, int,  wchar_t *, int, wchar_t *, int, Image *, int, int, wchar_t *); 
extern char *WWWEncode(wchar_t *); 
#else  /* I18N */
extern Form *FindForm(Form *,char *);
extern Field *FindField(Form *,int , char *, int);
extern Form *GetForm(int, char *, int);
extern Field *GetField(Form *, int, int, char *, int, char *, int, int, int, int);
extern void SubmitForm(Form *, int, char *, int, int,  char *, int, char *, int, Image *, int, int, char *); 
extern void AddOption(Field *, int, char *, int);
extern char *WWWEncode(char *); 

#endif /* I18N */



/* ... */



#endif /* _ARENA_FORM_H_ */


