#ifndef _ARENA_STYLE_H_
#define _ARENA_STYLE_H_

#ifndef _ARENA_WWW_H_
#include "www.h"
#endif /* _ARENA_WWW_H_ */

extern BOOL StyleGetFlag(int);
extern void StyleSetFlag(int, BOOL);
extern void FreeStyleSheet(StyleSheet *);
extern void StyleParse();
extern void StyleZoomChange(double);
#ifdef    I18N 
extern char *StyleLoad(wchar_t *, int, BOOL);
#else  /* I18N */
extern char *StyleLoad(char *, int, BOOL);
#endif /* I18N */
extern long StyleGet(StyleInternalProperty);
extern StyleSheet *StyleGetInit();
extern void StyleClearDoc();
#ifdef    I18N 
extern void FormatElementStart(int, wchar_t *, int);
#else  /* I18N */
extern void FormatElementStart(int, char *, int);
#endif /* I18N */
extern void FormatElementEnd();
extern StyleSheet *StyleCopy(StyleSheet *);

#endif /* _ARENA_STYLE_H_ */
