#include <stdio.h>
#include "www_wchar.h"

int mode;

char in[1024 * 32];
wchar_t out[1024 * 32 * 4];
int count;

main(argc, argv)
int argc;
char *argv[];
{
    char  *cp;
    int len;

    mode = MODE_ISO2022;

    for (argc--,argv++; (argc > 0) && **argv == '-'; argc--, argv++) 
	{
	cp = *argv;
	while (*cp) 
	    {
	    switch (*cp++) {
	      case 'u':		/* Unicode */
		mode = MODE_UNICODE;
		continue;
	      case 'i':		/* ISO-2022 */
		mode = MODE_ISO2022;
		continue;
	    default:
		/* bogus option but ignored */
		continue;
		}
	    }
	}

    while (len = fread(in, 1, sizeof(in), stdin))
	{
	if (mode = MODE_ISO2022)
	    {
	    mb2wchar(in, out, 0, "iso-2022-int-1");
	    }
	else
	    {
	    mb2wchar(in, out, 0, "unicode-1-1");
	    }
	dump_hex(out);
	bzero(in, sizeof(in));
	}

    printf("\n");
}

dump_hex(wchar_t *line)
{
wchar_t *data;

data = line;

while (*data != 0)
    {
    if (((*data & 0xFFFFFF80) == 0) && isprint(*data))
	{
	printf("       %c ", *data);
	}
    else if ((*data & 0xFFFF0000) == 0)
	{
	printf("    %04x ", *data);
	}
    else
	{
	printf("%08x ", *data);
	}

    data ++;
    count ++;
    if ((count % 8) == 0)
	printf("\n");
    }
}

