/*
 * ASCII & ISO 8859-1 to Unicode converter
 */

#include <stdio.h>
#include "www_wchar.h"

int mode;

char in[2048];
uint16 out[2048];
int count;

main(argc, argv)
int argc;
char *argv[];
{
    char  *cp;

    mode = MODE_ISO2022;

    while (fgets(in, sizeof(in), stdin) != NULL)
	{
	iso2uni(in, out, 0);
	dump_stdout(out);
	/* dump_hex(out); */
	}

    printf("\n");
}

dump_stdout(uint16 *line)
{
uint16 *data;
unsigned char hi, lo;

data = line;

while (*data != 0)
    {
    *data = *data << 8;
    write(1, (char *)data, 2);
    data ++;
    }
}

dump_hex(uint16 *line)
{
uint16 *data;

data = line;

while (*data != 0)
    {
    if (((*data & 0xFF80) == 0) && isprint(*data))
	{
	printf("   %c ", *data);
	}
    else
	{
	printf("%04x ", *data);
	}

    data ++;
    count ++;
    if ((count % 8) == 0)
	printf("\n");
    }
}


int iso2uni (unsigned char *in, uint16 *out, int init)
{

    /*
     * Main loop
     */
    while (*in != NULL)
	{
	*out ++ = *in ++;
	}
    *out = 0;
}

